aboutsummaryrefslogtreecommitdiff
path: root/librabbitmq-c
diff options
context:
space:
mode:
authorEugen Wissner <belka@caraus.de>2026-07-08 12:53:53 +0200
committerEugen Wissner <belka@caraus.de>2026-07-08 12:53:53 +0200
commit450ceaa20cf6f630ad5a5ff18367a15906cd8bd2 (patch)
treeff0a1eb914f467693392efb39af0d16e73f4ec6e /librabbitmq-c
parent213f99799ec87e76a26f222d037b5024d9feafc3 (diff)
downloadslackbuilds-450ceaa20cf6f630ad5a5ff18367a15906cd8bd2.tar.gz
librabbitmq-c: Added
Diffstat (limited to 'librabbitmq-c')
-rw-r--r--librabbitmq-c/librabbitmq-c.SlackBuild115
-rw-r--r--librabbitmq-c/librabbitmq-c.info10
-rw-r--r--librabbitmq-c/slack-desc19
3 files changed, 144 insertions, 0 deletions
diff --git a/librabbitmq-c/librabbitmq-c.SlackBuild b/librabbitmq-c/librabbitmq-c.SlackBuild
new file mode 100644
index 0000000..45cdddc
--- /dev/null
+++ b/librabbitmq-c/librabbitmq-c.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/bash
+
+# Slackware build script for librabbitmq-c
+
+# Copyright 2026 Eugene Wissner, Mannheim, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=librabbitmq-c
+SRCNAM=rabbitmq-c
+VERSION=${VERSION:-0.17.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DBUILD_SHARED_LIBS=ON \
+ -DBUILD_STATIC_LIBS=OFF \
+ -DBUILD_TESTING=OFF \
+ -DBUILD_TOOLS=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+make
+make install/strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $TMP/$SRCNAM-$VERSION/README.md \
+ $TMP/$SRCNAM-$VERSION/LICENSE \
+ $TMP/$SRCNAM-$VERSION/ChangeLog.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/librabbitmq-c/librabbitmq-c.info b/librabbitmq-c/librabbitmq-c.info
new file mode 100644
index 0000000..62aadab
--- /dev/null
+++ b/librabbitmq-c/librabbitmq-c.info
@@ -0,0 +1,10 @@
+PRGNAM="librabbitmq-c"
+VERSION="0.17.0"
+HOMEPAGE="https://github.com/alanxz/rabbitmq-c"
+DOWNLOAD="https://github.com/alanxz/rabbitmq-c/archive/v0.17.0/rabbitmq-c-0.17.0.tar.gz"
+MD5SUM="5dc34eb3b0684967932f08dd54e8bdc0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka@caraus.de"
diff --git a/librabbitmq-c/slack-desc b/librabbitmq-c/slack-desc
new file mode 100644
index 0000000..c6b1cc0
--- /dev/null
+++ b/librabbitmq-c/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+librabbitmq-c: librabbitmq-c (RabbitMQ / AMQP C client library)
+librabbitmq-c:
+librabbitmq-c: rabbitmq-c is a C-language client library implementing the AMQP
+librabbitmq-c: 0-9-1 protocol, for use with RabbitMQ or any other
+librabbitmq-c: AMQP-compliant message broker.
+librabbitmq-c:
+librabbitmq-c:
+librabbitmq-c:
+librabbitmq-c:
+librabbitmq-c:
+librabbitmq-c: